<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Skill\AssignSkillModerator;

use App\Context\Shared\Domain\Aggregate\AggregateId;
use App\Context\Shared\Domain\Bus\Command\AggregateCommandResponse;

class AssignSkillModeratorCommandResponse implements AggregateCommandResponse
{
    public function __construct(
        private readonly AggregateId $id
    ) {
    }

    public function getAggregateId(): AggregateId
    {
        return $this->id;
    }
}
