<?php

namespace App\Context\Content\Application\Command\Skill\ChangeSkillSlug;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class ChangeSkillSlugCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $slug,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new ChangeSkillSlugCommandValidator();
    }
}
