<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Process\Export\Content\Dto;

final class Level
{
    /**
     * @param array<Question> $questions
     */
    public function __construct(
        readonly string $id,
        readonly string $slug,
        readonly string $title,
        readonly ?string $description,
        readonly array $questions,
    ) {
    }
}
