<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevel;

use App\Context\Content\Application\Query\Level\ReadModel\LevelReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetLevelQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly LevelReadModel $level
    ) {
    }
}
