<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevelBySlug;

use App\Context\Shared\Domain\Bus\Query\Query;

class GetLevelBySlugQuery implements Query
{
    public function __construct(
        public readonly string $skillSlug,
        public readonly string $levelSlug
    ) {
    }
}
