<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevelList;

use App\Context\Content\Application\Query\Level\ReadModel\LevelReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetLevelListQueryResponse implements QueryResponse
{
    /**
     * @param LevelReadModel[] $levels
     */
    public function __construct(
        public readonly array $levels
    ) {
    }
}
