<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevelPermissions;

use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetLevelPermissionsQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly string $levelId,
        public readonly bool $canEdit,
        public readonly bool $canRemove,
    ) {
    }
}
