<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\ReadModel;

use App\Context\Content\Domain\Model\Level\LevelSlug;

class LevelNotFoundBySlugException extends \Exception
{
    public function __construct(LevelSlug $slug)
    {
        $message = sprintf(
            'Level with slug (%s) not found',
            $slug->value()
        );

        parent::__construct($message);
    }
}
