<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Member\Query\GetMember;

use App\Context\Content\Application\Query\Member\ReadModel\MemberReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetMemberQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly MemberReadModel $member
    ) {
    }
}
