<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\Query\GetQuestionBySlug;

use App\Context\Shared\Domain\Bus\Query\Query;

class GetQuestionBySlugQuery implements Query
{
    public function __construct(
        public readonly string $skillSlug,
        public readonly string $levelSlug,
        public readonly string $questionSlug
    ) {
    }
}
