<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\Query\GetQuestionBySlug;

use App\Context\Content\Application\Query\Question\ReadModel\QuestionReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetQuestionBySlugQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly QuestionReadModel $question
    ) {
    }
}
