<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\Query\GetQuestionList;

use App\Context\Content\Application\Query\Question\ReadModel\QuestionReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetQuestionListQueryResponse implements QueryResponse
{
    /**
     * @param QuestionReadModel[] $questions
     */
    public function __construct(
        public readonly array $questions
    ) {
    }
}
