<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillList;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetSkillListQueryResponse implements QueryResponse
{
    /**
     * @param SkillReadModel[] $skills
     */
    public function __construct(
        public readonly array $skills
    ) {
    }
}
