<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Event;

use App\Context\Shared\Domain\Bus\Event\Event;

class LevelTitleChanged extends Event
{
    public function __construct(
        string $aggregateId,
        public string $memberId,
        public string $newTitle,
    ) {
        parent::__construct($aggregateId);
    }

    public static function eventName(): string
    {
        return 'content.level.update.title.changed';
    }
}
