<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Member\Exception;

use App\Context\Shared\Domain\Aggregate\AggregateId;

class MemberNotFoundException extends MemberException
{
    public function __construct(
        AggregateId $id,
        ) {
        $message = sprintf(
            'Member (%s) not found',
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
