<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Specification;

use App\Context\Content\Domain\Model\Level\LevelId;
use App\Context\Content\Domain\Model\Question\QuestionSlug;
use App\Context\Shared\Domain\Specification\SpecificationInterface;

/**
 * @extends SpecificationInterface<QuestionSlug>
 */
interface QuestionSlugUniqueSpec
{
    public function isSatisfiedBy(LevelId $levelId, QuestionSlug $questionSlug): bool;
}
