<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Event;

use App\Context\Shared\Domain\Bus\Event\Event;

class SkillModeratorRemoved extends Event
{
    public function __construct(
        string $aggregateId,
        public string $memberId,
        public string $moderatorId,
    ) {
        parent::__construct($aggregateId);
    }

    public static function eventName(): string
    {
        return 'content.skill.update.moderator.removed';
    }
}
