<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Shared\Domain\Aggregate\AggregateId;

class SkillAlreadyRemoveException extends SkillException
{
    public function __construct(
        AggregateId $id,
    ) {
        $message = sprintf(
            'Skill (%s) already removed',
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
