<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Question\Doctrine\Mapping;

use App\Context\Content\Domain\Model\Question\QuestionId;
use App\Context\Shared\Infrastructure\Doctrine\Types\UuidType;

final class QuestionIdType extends UuidType
{
    public function getTypeName(): string
    {
        return 'question_id';
    }

    public function getValueObjectClass(): string
    {
        return QuestionId::class;
    }
}
