<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\RemoveQuestion;

use App\Context\Shared\Domain\Bus\Command\Command;

class RemoveQuestionCommand implements Command
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly string $questionId,
    ) {
    }
}
