<?php

namespace App\Context\Content\Application\Command\Skill\ChangeSkillDescription;

use App\Context\Content\Domain\Model\Skill\SkillDescription;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeSkillDescriptionCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('description', new ValueObjectRule(SkillDescription::class)),
        ];
    }
}
