<?php

namespace App\Context\Content\Application\Command\Skill\CreateSkill;

use App\Context\Shared\Domain\Aggregate\AggregateId;
use App\Context\Shared\Domain\Bus\Command\AggregateCommandResponse;

class CreateSkillCommandResponse implements AggregateCommandResponse
{
    public function __construct(
        private readonly AggregateId $id
    ) {
    }

    public function getAggregateId(): AggregateId
    {
        return $this->id;
    }
}
