<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Process\Export\Content\Dto;

final class Skill
{
    /**
     * @param \Iterator<Level> $levels
     */
    public function __construct(
        readonly string $id,
        readonly string $slug,
        readonly string $title,
        readonly \Iterator $levels,
        readonly ?string $description,
    ) {
    }
}
