<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Process\Export\Content;

use App\Context\Content\Application\Process\Export\Content\Dto\Level;

interface LevelProvider
{
    /**
     * @param list<string> $skillIds
     *
     * @return \Iterator<Level>
     */
    public function get(array $skillIds): \Iterator;
}
