<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Process\Import\Content\Loader;

use App\Context\Content\Application\Process\Import\Content\Dto\Question;

interface QuestionLoader
{
    public function load(Question $question): void;

    public function remove(string $skillId, string $levelId, string $questionId): void;
}
