<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\ReadModel;

use App\Context\Shared\Domain\Criteria\Criteria;

interface LevelReadRepository
{
    public function byId(string $skillId, string $levelId): LevelReadModel;

    public function bySlug(string $skillSlug, string $levelSlug): LevelReadModel;

    /**
     * @param ?Criteria $criteria
     *
     * @return LevelReadModel[]
     */
    public function getList(?Criteria $criteria = null): array;
}
