<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Member\ReadModel;

use App\Context\Shared\Domain\Criteria\Criteria;

interface MemberReadRepository
{
    public function byId(string $memberId): MemberReadModel;

    /**
     * @param ?Criteria $criteria
     *
     * @return MemberReadModel[]
     */
    public function search(?Criteria $criteria = null): array;
}
