<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkill;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetSkillQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly SkillReadModel $skill
    ) {
    }
}
