<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillModerators;

use App\Context\Content\Application\Query\Member\ReadModel\MemberReadModel;
use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetSkillModeratorsQueryResponse implements QueryResponse
{
    /**
     * @param MemberReadModel[] $members
     */
    public function __construct(
        public readonly array $members
    ) {
    }
}
