<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillPermissions;

use App\Context\Shared\Domain\Bus\Query\QueryResponse;

class GetSkillPermissionsQueryResponse implements QueryResponse
{
    public function __construct(
        public readonly string $skillId,
        public readonly bool $canEdit,
        public readonly bool $canRemove,
    ) {
    }
}
