<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\ReadModel;

use App\Context\Shared\Domain\Criteria\Criteria;

interface SkillReadRepository
{
    public function byId(string $id): SkillReadModel;

    public function bySlug(string $slug): SkillReadModel;

    /**
     * @param ?Criteria $criteria
     *
     * @return SkillReadModel[]
     */
    public function getList(?Criteria $criteria = null): array;
}
