<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Shared\Domain\Aggregate\AggregateId;

class LevelNotFoundException extends LevelException
{
    public function __construct(
        AggregateId $id,
        ) {
        $message = sprintf(
            'Level (%s) not found',
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
