<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Specification;

use App\Context\Content\Domain\Model\Level\LevelSlug;
use App\Context\Content\Domain\Model\Skill\SkillId;

interface LevelSlugUniqueSpec
{
    public function isSatisfiedBy(SkillId $skillId, LevelSlug $levelSlug): bool;
}
