<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Event;

use App\Context\Shared\Domain\Bus\Event\Event;

class QuestionSlugChanged extends Event
{
    public function __construct(
        string $aggregateId,
        public string $memberId,
        public string $newSlug,
    ) {
        parent::__construct($aggregateId);
    }

    public static function eventName(): string
    {
        return 'content.question.update.slug.changed';
    }
}
