<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Exception;

use App\Context\Shared\Domain\Aggregate\AggregateId;

class QuestionNotRemovedException extends QuestionException
{
    public function __construct(
        AggregateId $id,
    ) {
        $message = sprintf(
            'Question (%s) not removed',
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
