<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question;

interface QuestionRepositoryPersistence
{
    public function persist(Question $question): void;

    public function remove(QuestionId $id): void;
}
