<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill;

use App\Context\Content\Domain\Model\Skill\Exception\SkillNotFoundException;

interface SkillRepositoryReader
{
    /**
     * @throws SkillNotFoundException
     */
    public function findById(SkillId $id): Skill;

    public function getActiveById(SkillId $skillId): Skill;
}
