<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Level;

use App\Context\Content\Domain\Model\Level\Level;
use App\Context\Content\Infrastructure\Policy\ContentPolicy;
use App\Context\Shared\Domain\Policy\Policy;

/**
 * @implements Policy<Level>
 */
abstract class LevelPolicy extends ContentPolicy implements Policy
{
    public function can(object $object): bool
    {
        if (false === $object instanceof Level) {
            return false;
        }

        return true;
    }
}
