<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Question;

use App\Context\Content\Domain\Model\Question\Question;
use App\Context\Content\Infrastructure\Policy\ContentPolicy;
use App\Context\Shared\Domain\Policy\Policy;

/**
 * @implements Policy<Question>
 */
abstract class QuestionPolicy extends ContentPolicy implements Policy
{
    public function can(object $object): bool
    {
        if (false === $object instanceof Question) {
            return false;
        }

        return true;
    }
}
