<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Skill;

use App\Context\Content\Domain\Model\Skill\Skill;
use App\Context\Content\Infrastructure\Policy\ContentPolicy;
use App\Context\Shared\Domain\Policy\Policy;

/**
 * @implements Policy<Skill>
 */
abstract class SkillPolicy extends ContentPolicy implements Policy
{
    public function can(object $object): bool
    {
        if (false === $object instanceof Skill) {
            return false;
        }

        return true;
    }
}
