<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Level\Doctrine\Mapping;

use App\Context\Content\Domain\Model\Level\LevelId;
use App\Context\Shared\Infrastructure\Doctrine\Types\UuidType;

final class LevelIdType extends UuidType
{
    public function getTypeName(): string
    {
        return 'level_id';
    }

    public function getValueObjectClass(): string
    {
        return LevelId::class;
    }
}
