<?php

namespace App\Context\Content\Infrastructure\Repository\Domain\Skill\Doctrine\Mapping;

use App\Context\Content\Domain\Model\Skill\SkillId;
use App\Context\Shared\Infrastructure\Doctrine\Types\UuidType;

final class SkillIdType extends UuidType
{
    public function getTypeName(): string
    {
        return 'skill_id';
    }

    public function getValueObjectClass(): string
    {
        return SkillId::class;
    }
}
